<div class="pt-[4.5rem] md:pt-24 lg:pt-32 xl:pt-40">
  <!--Bloc image mobile-->
  <div class="w-full h-44 md:hidden relative">
    <div class="absolute inset-0 bg-cover bg-center" [ngStyle]="{'background-image': 'url(' + firstImageUrl + ')'}">
    </div>

    <div class="absolute inset-0 flex items-end justify-end p-4">
      <button (click)="openGallery()" class="bg-white text-black px-4 py-2 text-sm rounded-full">
        Gérer les photos <i class="fa-solid fa-camera ml-1"></i>
      </button>
    </div>
  </div>
  <!---->

  <div class="py-5 px-4">
    <div class="flex justify-center gap-5 items-center">
      <p class="text-center text-xl md:text-3xl lg:text-4xl">{{MerchantData?.merchant_name}}</p>
      <app-button [buttonText]="icon" (buttonClick)="openModal()"></app-button>
    </div>

    <!--Bloc image desktop and tablet-->
    <div class="hidden md:flex justify-center gap-5 mt-7 mb-20 lg:mx-16 xl:mx-40">
      <div class="w-3/4 drop-shadow-xl h-72 xl:h-96 relative hidden lg:flex">
        <div class="absolute inset-0 bg-cover bg-center" [ngStyle]="{'background-image': 'url(' + secondImageUrl + ')'}">
        </div>
      </div>

      <div class="w-3/4 drop-shadow-xl h-72 xl:h-96 relative">
        <div class="absolute inset-0 bg-cover bg-center" [ngStyle]="{'background-image': 'url(' + firstImageUrl + ')'}">
        </div>
    
        <div class="absolute inset-0 flex items-end justify-end p-4">
          <button (click)="openGallery()" class="bg-white text-black px-4 py-2 text-sm rounded-full">
            Gérer les photos <i class="fa-solid fa-camera ml-1"></i>
          </button>
        </div>
      </div>
    </div>
    <!---->

    <div class="mt-5 lg:mx-16 xl:mx-40">
      <p class="text-lg md:text-2xl xl:text-4xl md:mb-3 xl:mb-7">Présentation de l'établissement</p>
      <p class="text-sm xl:text-base font-light">{{MerchantData?.merchant_description}}</p>
    </div>
  </div>

  <div class="md:flex md:flex-row-reverse justify-center lg:mx-16 xl:mx-40">
    <div class="bg-[#807F4B] text-white rounded-xl xl:pt-8 xl:pb-5 xl:px-8 py-5 px-4 mx-5 mt-8 md:w-full xl:w-1/2">
      <div class="flex items-center justify-between pb-4">
        <p class="font-medium text-lg xl:text-2xl">Détail du commerce</p>
        <app-button [buttonText]="icon" class="text-xs"></app-button>
      </div>

      <hr />

      <div class="flex my-5 gap-3">
        <i class="fa-solid fa-map-location-dot"></i>
        <div>
          <p>Adresse</p>
          <p>{{MerchantData?.merchant_address}}</p>
        </div>
      </div>

      <div class="flex mb-5 gap-3">
        <i class="fa-solid fa-phone"></i>
        <div>
          <p>Téléphone</p>
          <p>{{MerchantData?.merchant_phone}}</p>
        </div>
      </div>

      <div class="flex mb-5 gap-3">
        <i class="fa-solid fa-envelope"></i>
        <div>
          <p>Mail</p>
          <p>{{MerchantData?.merchant_email}}</p>
        </div>
      </div>

      <div class="flex mb-5 gap-3">
        <i class="fa-solid fa-user-tie"></i>
        <div>
          <p>Propriétaire</p>
          <p>{{MerchantData?.owner.user_name}}</p>
        </div>
      </div>

      <hr />

      <div class="flex justify-between gap-1 items-center">
        <p class="font-medium text-lg py-4">Horaires d'ouverture</p>
        <app-button [buttonText]="icon" (buttonClick)="openModal()"></app-button>
      </div>

      @for(openingHour of MerchantData?.openingHours; track openingHour){
        <div class="flex justify-between mb-2">
          <p>{{ openingHour?.day_of_week }}</p>
          <p>{{ formatTime(openingHour?.opening_time) | date: 'HH:mm' }} - {{ formatTime(openingHour?.closing_time) | date: 'HH:mm' }}</p>
        </div>
      }
    </div>

    <div class="bg-[#807F4B] text-white rounded-xl md:rounded-lg xl:py-10 xl:px-10 md:px-7 md:pt-7 md:pb-4 py-5 px-4 mx-5 mt-8 md:w-full">
      <div class="flex items-center justify-between pb-4">
        <div class="flex items-center gap-2 xl:gap-5">
          <i class="fa-solid fa-comment xl:text-3xl"></i>
          <p class="font-medium text-lg xl:text-2xl">Avis et commentaires</p>
        </div>
      </div>

      <hr />

      @for(review of MerchantData?.reviews.slice(0, displayedReviewsCount); track review){
        <div class="py-4">
          <div class="flex gap-4 items-center">
            <app-star-rating [rating]="review.rating"></app-star-rating>
            <p>{{ review?.review_date | date: 'dd/MM/yyyy' }}</p>
          </div>
          <p class="mt-4">{{ review.content }}</p>
          <div class="flex items-center gap-4 mt-4">
            <p>{{review?.user.user_name}}</p>
            <img [src]="review.user.avatar" alt="avatar" class="rounded-full h-7 w-7 aspect-square object-cover" />
          </div>
        </div>
        <hr />
      }

      @if(MerchantData?.reviews.length > displayedReviewsCount){
        <div class="flex justify-center mt-4">
          <app-button (buttonClick)="showMoreReviews()" [buttonText]="'Afficher plus'"></app-button>
        </div>
      }

    </div>
  </div>

  <div class="mt-14 bg-[#807F4B] p-4 md:p-6 xl:p-10 text-white">
    <div class="flex items-center justify-between">
      <p class="pb-3 text-lg md:text-xl">Liste des produits proposés par le commerçant</p>
      <app-button [buttonText]="icon"></app-button>
    </div>
    <hr />
    <div class="flex flex-wrap justify-center">
      @for(product of MerchantData?.products; track product){
        <div class="relative m-5 text-white">
          <img src="{{product.product_img}}" alt="Description de votre image 1"
            class="w-52 h-80 filter brightness-65 rounded md:w-72 lg:w-80 xl:w-96 xl:h-96 object-cover" />
          <div class="absolute inset-0 flex items-end p-4">
            <p class="text-lg font-medium md:text-xl xl:text-2xl">{{product?.product_name}}</p>
          </div>
        </div>
      }
    </div>
  </div>  

  <div class="my-14 bg-[#C29667] p-4 md:p-6 xl:p-10 text-white">
    <div class="flex items-center justify-between">
      <p class="pb-3 text-lg md:text-xl">Liste des activités organisées par le commerçant</p>
    </div>
    <hr />
    @for(workshop of MerchantData?.workshops; track workshop){
      <div class="flex justify-center my-10 flex-shrink-0 relative" (click)="navigateToWorkshop(workshop.ID_workshop)">
        <img [src]="workshop.photos[0].url" alt="Description de votre image 1"
          class="w-52 h-80 filter brightness-65 rounded md:w-72 lg:w-80 xl:w-96 xl:h-96 object-cover" />
        <div class="absolute inset-0 flex justify-center items-center">
          <p class="text-lg font-medium md:text-xl xl:text-2xl w-1/2 text-center">{{workshop?.workshop_name}}</p>
        </div>
      </div>
    }    
  </div>

  @if(latitude && longitude){
    <div class="m-5 pb-10 z-0 lg:mx-16 xl:mx-40">
      <div class="flex justify-between items-center pb-3">
        <p class="text-lg md:text-xl xl:text-2xl">Localisation</p>
        <app-button [buttonText]="icon"></app-button>
      </div>
      <hr />
      <div class="flex gap-3 py-3">
        <i class="fa-solid fa-location-dot"></i>
        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
      </div>
      <div class="h-80 md:h-96 lg:h-96 py-3">
        <app-leaflet-map [latitude]="latitude" [longitude]="longitude" [showMarker]="true"></app-leaflet-map>
      </div>
    </div>
  }

</div>

<app-modal [isOpen]="isGalleryOpen" [title]="'Gérer les photos'" (closed)="closeGallery()">
  <div>
    <form [formGroup]="imageForm">
      <div class="my-4 text-center">
        <input type="file" formControlName="newImageFile" (change)="addPhoto($event)" class="border p-2 rounded w-full"/>
      </div>
    </form>
    <div class="grid grid-cols-2 md:grid-cols-4 gap-4 overflow-y-auto max-h-96">
      <div *ngFor="let image of photoUrls; let i = index" class="relative">
        <img [src]="image" alt="Image" class="w-full h-auto rounded"/>
        <button (click)="removePhoto(i)" class="absolute top-2 right-2 bg-red-500 text-white px-2 py-1 rounded">Supprimer</button>
      </div>
    </div>
  </div>
</app-modal>